OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
ConstrainedPointAdvect< GridT, PointListT, StaggeredVelocity, CptGridType, InterrupterType > Class Template Reference

`#include <PointAdvect.h>`

## Public Types
using | GridType = GridT
using | LocationType = typename PointListT::value_type
using | VelocityIntegratorType = VelocityIntegrator< GridT, StaggeredVelocity >
using | ClosestPointProjectorType = ClosestPointProjector< CptGridType >
using | PointListType = PointListT

## Public Member Functions
| ConstrainedPointAdvect (const GridType &velGrid, const GridType &cptGrid, int cptn, InterrupterType *interrupter=nullptr)
| ConstrainedPointAdvect (const ConstrainedPointAdvect &other)
virtual | ~ConstrainedPointAdvect ()
void | setConstraintIterations (unsigned int cptIter)
void | setIntegrationOrder (unsigned int order)
void | setThreaded (bool threaded)
bool | getThreaded ()
void | advect (PointListT &points, float dt, unsigned int advIterations=1)
| Constrained Advection a list of points over a time = dt * advIterations. More...
void | operator() (const tbb::blocked_range< size_t > &range) const
| Never call this method directly - it is use by TBB and has to be public! More...

## Member Typedef Documentation

## ◆ ClosestPointProjectorType

using ClosestPointProjectorType = ClosestPointProjector<CptGridType>

## ◆ GridType

using GridType = GridT

## ◆ LocationType

using LocationType = typename PointListT::value_type

## ◆ PointListType

using PointListType = PointListT

## ◆ VelocityIntegratorType

using VelocityIntegratorType = VelocityIntegrator<GridT, StaggeredVelocity>

## Constructor & Destructor Documentation

## ◆ ConstrainedPointAdvect() [1/2]

ConstrainedPointAdvect | ( | const GridType & | velGrid,
|  | const GridType & | cptGrid,
|  | int | cptn,
|  | InterrupterType * | interrupter = `nullptr`
| ) |  |
| inline

## ◆ ConstrainedPointAdvect() [2/2]

ConstrainedPointAdvect | ( | const ConstrainedPointAdvect< GridT, PointListT, StaggeredVelocity, CptGridType, InterrupterType > & | other | ) |
| inline

## ◆ ~ConstrainedPointAdvect()

virtual ~ConstrainedPointAdvect | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ advect()

void advect | ( | PointListT & | points,
|  | float | dt,
|  | unsigned int | advIterations = `1`
| ) |  |
| inline

Constrained Advection a list of points over a time = dt * advIterations.

## ◆ getThreaded()

bool getThreaded | ( |  | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

Never call this method directly - it is use by TBB and has to be public!

## ◆ setConstraintIterations()

void setConstraintIterations | ( | unsigned int | cptIter | ) |
| inline

## ◆ setIntegrationOrder()

void setIntegrationOrder | ( | unsigned int | order | ) |
| inline

## ◆ setThreaded()

void setThreaded | ( | bool | threaded | ) |
| inline

The documentation for this class was generated from the following file:

- PointAdvect.h